> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get userv1beta1meroles

> Lists domain role information for the current user of the given domain.



## OpenAPI

````yaml /openapis/user.json get /user/v1beta1/me/roles
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: user
    description: >-
      Lets you get information about users and groups (beta version, subject to
      change)
paths:
  /user/v1beta1/me/roles:
    get:
      tags:
        - user
      description: Lists domain role information for the current user of the given domain.
      operationId: user:v1beta1.Role.getDomainRoles
      parameters:
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiUserRolesData response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUserRolesData'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiUserRolesData:
      type: object
      properties:
        combinedPrivileges:
          type: object
          description: >-
            The combination of the list of privileges granted across all roles
            the user is involved in
          additionalProperties:
            type: object
            additionalProperties:
              type: array
              items:
                type: string
        kind:
          type: string
        roles:
          type: array
          description: >-
            The list of roles (and associated privileges) the user is involved
            in
          items:
            $ref: '#/components/schemas/ApiRoleData'
    ApiRoleData:
      type: object
      properties:
        id:
          type: string
          description: The ID of the role
        kind:
          type: string
        privileges:
          type: object
          description: The list of privileges coming with the role
          additionalProperties:
            type: object
            additionalProperties:
              type: array
              items:
                type: string
        type:
          type: string
          description: The type of the role (LIBRARY, DOCUMENT, CUSTOM)
          enum:
            - LIBRARY
            - DOCUMENT
            - PREDEFINED
            - CUSTOM
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````